#version 140

in vec3 a_v3Position;
in vec2 a_v2TexCoords;
in vec3 a_v3CharCoords;
in int  a_iCmdIndex;

out vec3 v_v3Position;
out vec2 v_v2TexCoords;
out vec3 v_v3CharCoords;
flat out int  v_iCmdIndex;

uniform mat4 m4Transforms;

void main(void)
{
    vec4 position = vec4(a_v3Position, 1) * m4Transforms;
    gl_Position = position;
    v_v3Position = position.xyz/position.w;

    v_v2TexCoords = a_v2TexCoords;
    v_v3CharCoords = a_v3CharCoords;
    v_iCmdIndex = a_iCmdIndex;
}
